#from get_timeseries_test import sww2timeseries
from pyvolution.util import sww2timeseries
import project
from os import sep
from shutil import copy

# define directory location of sww and gauge data
timestampdir = 'Slump_tests'+sep+'t30_10km_longtime_k1'#'No_IC'
file_loc = project.outputdir + timestampdir + sep #project.outputtimedir
#swwfile = file_loc + 'slump_poly_ingo_test'+'.sww' #file_loc+project.outputname+'.sww'
swwfile = file_loc + 'slump_k1'+'.sww' #file_loc+project.outputname+'.sww'
gauge_filename = project.gauge_filename
label_id = timestampdir

# False to generate latex output, True otherwise
title_on = True

# generate figures - see sww2timeseries for documentation
texname = sww2timeseries(swwfile,
                         gauge_filename,
                         file_loc,
                         label_id,
                         plot_quantity = ['stage', 'velocity', 'bearing'],
                         time_min = None,
                         time_max = None,
                         title_on = title_on,   
                         verbose = True)

print 'finished plotting time series'

# if generating latex output, copy latex file to scenario report directory
# and linked to appropriate milestone
report_dir = '..'+sep+'scenario_reports'+sep+'report_end_FY06'
if title_on == False: copy (texname, report_dir + sep + texname)



